<?php

/**
 * Template part for displaying the widgets and search results
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Strike
 * @subpackage Strike
 * @since Strike 1.0
 */

function strike_blog_widgets_init() {
    register_sidebar(array(
        'name'          => esc_html__('Sidebar', 'strike-blog'),
        'id'            => 'strike-main-sidebar',
        'description'   => esc_html__('Add widgets here to appear in your single post sidebar area.', 'strike-blog'),
        'before_widget' => '<div id="%1$s" class="%2$s sidebar-widgetarea widgetarea">',
        'after_widget'  => '</div><!-- /.sidebar-widgetarea -->',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));

    register_sidebar(array(
        'name'          => esc_html__('Footer Left', 'strike-blog'),
        'id'            => 'strike-footer-left',
        'description'   => esc_html__('Add widgets here to appear on your left footer section.', 'strike-blog'),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ));

    register_sidebar(array(
        'name'          => esc_html__('Footer Middle', 'strike-blog'),
        'id'            => 'strike-footer-middle',
        'description'   => esc_html__('Add widgets here to appear on your middle footer section.', 'strike-blog'),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ));

    register_sidebar(array(
        'name'          => esc_html__('Footer Right', 'strike-blog'),
        'id'            => 'strike-footer-right',
        'description'   => esc_html__('Add widgets here to appear on your right footer section.', 'strike-blog'),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ));
}


add_action('widgets_init', 'strike_blog_widgets_init');
