<?php
// Same as free version
function strike_blog_section_setup( $wp_customize ) {
      /**
      * Colors Section
      */
      /* Primary Color*/
      $wp_customize->add_setting( 'strike_primary_color_setting', array(
         'default'   => '#ff7565',
         'sanitize_callback' => 'sanitize_hex_color',
       ) );

       $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'strike_primary_color_control', array(
         'section' => 'colors',
         'label'   => esc_html__( 'Primary color', 'strike-blog' ),
         'settings'      =>  'strike_primary_color_setting',
       ) ) );

      // Category color select
      $wp_customize->add_setting( 'strike_category_description_setting', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
      ) );

       $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'strike_category_description_control', array(
			/* translators: %1$s: Widget Link Start, %2$s: Link End, %3$s: Nav Menu Link */
			'description'     => sprintf( __( 'Goto %1$sCategories%2$s and edit each category to change the category text background color!', 'strike-blog' ), '<a href="' . esc_attr( admin_url() ) . 'edit-tags.php?taxonomy=category">', '</a>' ),
			'section'         => 'colors',
			'settings'        => 'strike_category_description_setting',
			'type'            => 'hidden',
        ) ) );

    /**
	 * Customizer Homepage -> Homepage Contents
	*/
	$wp_customize->add_section( 'strike_blog_homepage_sections' , array(
		'title'      => __( 'Homepage Sections', 'strike-blog' ),
		'priority'   => 50,
	) );

    // Enable Homepage Block Section?
	$wp_customize->add_setting('strike_blog_show_block_section', array(
		'default'    => 1,
        'sanitize_callback' => 'absint',
	));
    
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'strike_blog_show_block_section',
            array(
                'label'     => __('Enable Block Section', 'strike-blog'),
                'section'   => 'strike_blog_homepage_sections',
                'settings'  => 'strike_blog_show_block_section',
                'type'      => 'checkbox',
            )
        )
    );

	// Homepage Block Section Title
	$wp_customize->add_setting( 'strike_show_block_section_title', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new WP_Customize_Control(
		$wp_customize,
		'strike_show_block_section_title',
			array(
				'label'    => __( 'Section Title', 'strike-blog' ),
				'section'  => 'strike_blog_homepage_sections',
				'settings' => 'strike_show_block_section_title',
				'type'     => 'text',
                'active_callback' => 'strike_blog_is_block_section_enabled'
			)
		)
	);

    // Homepage Block Section Description
    $wp_customize->add_setting( 'strike_show_block_section_desc', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new WP_Customize_Control(
		$wp_customize,
		'strike_show_block_section_desc',
			array(
				'label'    => __( 'Section Description', 'strike-blog' ),
				'section'  => 'strike_blog_homepage_sections',
				'settings' => 'strike_show_block_section_desc',
				'type'     => 'text',
                'active_callback' => 'strike_blog_is_block_section_enabled'
			)
		)
	);

    // Block Section Select Categories
    $wp_customize->add_setting( 'strike_block_categories_setting', array(
        'type'       => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'strike_blog_project_types_sanitize'
    ) );

    $wp_customize->add_control(
        new Strike_Blog__Customize_Control_Multiple_Select(
            $wp_customize,
            'strike_block_categories_control',
            array(
                'settings' => 'strike_block_categories_setting',
                'label'    => __( 'Select Post Categories', 'strike-blog' ),
                'section'  => 'strike_blog_homepage_sections', // Enter the name of your own section
                'type'     => 'multiple-select', // The $type in our class
                'choices'  => strike_blog_project_types(), // Your choices
                'active_callback' => 'strike_blog_is_block_section_enabled'
            )
        )
    );

    // Info: Hidden
    $wp_customize->add_setting( 'strike_category_description_setting', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'absint',
    ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'strike_category_description_control', array(
        /* translators: %1$s: Widget Link Start, %2$s: Link End, %3$s: Nav Menu Link */
        'description'     => __( "You can select multiple categories by pressing Ctrl + Click ( Windows ) or Command + Click ( Mac )", "strike-blog" ),
        'section'         => 'strike_blog_homepage_sections',
        'settings'        => 'strike_category_description_setting',
        'type'            => 'hidden',
        'active_callback' => 'strike_blog_is_block_section_enabled'
    ) ) );
    
    // Enable Four Column Section?
	$wp_customize->add_setting('strike_blog_show_4_col_section', array(
		'default'    => 1,
        'sanitize_callback' => 'absint',
	));
    
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'strike_blog_show_4_col_section',
            array(
                'label'     => __('Enable Four Columns Section', 'strike-blog'),
                'section'   => 'strike_blog_homepage_sections',
                'settings'  => 'strike_blog_show_4_col_section',
                'type'      => 'checkbox',
            )
        )
    );

	// Homepage Four Column Section Title
	$wp_customize->add_setting( 'strike_show_4_col_section_title', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new WP_Customize_Control(
		$wp_customize,
		'strike_show_4_col_section_title',
			array(
				'label'    => __( 'Section Title', 'strike-blog' ),
				'section'  => 'strike_blog_homepage_sections',
				'settings' => 'strike_show_4_col_section_title',
				'type'     => 'text',
                'active_callback' => 'strike_blog_is_4_col_section_enabled'
			)
		)
	);

    // Homepage Four Column Section Description
    $wp_customize->add_setting( 'strike_blog_show_4_col_section_desc', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new WP_Customize_Control(
		$wp_customize,
		'strike_blog_show_4_col_section_desc',
			array(
				'label'    => __( 'Section Description', 'strike-blog' ),
				'section'  => 'strike_blog_homepage_sections',
				'settings' => 'strike_blog_show_4_col_section_desc',
				'type'     => 'text',
                'active_callback' => 'strike_blog_is_4_col_section_enabled'
			)
		)
	);

    // Four Columns Section Select Categories
    $wp_customize->add_setting( 'strike_4_col_categories_setting', array(
        'type'       => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'strike_blog_project_types_sanitize'
    ) );

    $wp_customize->add_control(
        new Strike_Blog__Customize_Control_Multiple_Select(
            $wp_customize,
            'strike_4_col_categories_control',
            array(
                'settings' => 'strike_4_col_categories_setting',
                'label'    => __( 'Select Post Categories', 'strike-blog' ),
                'section'  => 'strike_blog_homepage_sections', // Enter the name of your own section
                'type'     => 'multiple-select', // The $type in our class
                'choices'  => strike_blog_project_types(), // Your choices
                'active_callback' => 'strike_blog_is_4_col_section_enabled'
            )
        )
    );
    
    // Enable Loop Section?
	$wp_customize->add_setting('strike_blog_show_loop_section', array(
		'default'    => 1,
        'sanitize_callback' => 'absint',
	));
    
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'strike_blog_show_loop_section',
            array(
                'label'     => __('Enable Loop Section', 'strike-blog'),
                'section'   => 'strike_blog_homepage_sections',
                'settings'  => 'strike_blog_show_loop_section',
                'type'      => 'checkbox',
            )
        )
    );

    // Loop Section Info
    $wp_customize->add_setting( 'strike_category_loop_info_setting', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'absint',
    ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'strike_category_loop_info_control', array(
        'description'     => __( "Loop section displays most recent articles published.", "strike-blog" ),
        'section'         => 'strike_blog_homepage_sections',
        'settings'        => 'strike_category_loop_info_setting',
        'type'            => 'hidden',
    ) ) );

}

add_action( 'customize_register', 'strike_blog_section_setup');

// Active Callbacks
function strike_blog_is_block_section_enabled() {
    if( get_theme_mod( "strike_show_block_section", 1 ) ) {
        return true;
    }

    return false;
}

function strike_blog_is_4_col_section_enabled() {
    if( get_theme_mod( "strike_show_4_col_section", 1 ) ) {
        return true;
    }

    return false;
}
