<?php
/**
 * Template part for displaying Slider section in homepage
 */

  $strike_blog_args = array(
    'post_type'         =>  'post',
    'posts_per_page'    =>  3,
  );
  $strike_blog_item  = new WP_Query( $strike_blog_args );
?>

<div class="fpc-slider-section">
    <div class="fpc-slider">

        <?php
            if ( $strike_blog_item->have_posts() ) :
                while ( $strike_blog_item->have_posts() ) : $strike_blog_item->the_post();
        ?>

        <div class="fpc-slide" style="background-image: url( <?php the_post_thumbnail_url(); ?> )">
            <div class="fpc-mask"></div>
            <div class="fpc-slide-content" id="content">
                <div class="fpc-cats">
                    <?php strike_blog_the_category_colors(); ?> 
                </div><!-- /.fpc-cats -->
                <h1><a class="fpc-underline" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>

                <?php if( get_theme_mod( 'strike_author_setting', 1 ) ) : ?>
                <div class="fpc-author">
                    <span class="icofont-ui-user"></span>
                    <p class="fpc-author-tag"> 
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                            <?php the_author(); ?>
                        </a>
                    </p>
                </div>
                <?php endif; ?>

                <?php if( get_theme_mod( 'strike_date_setting', 1 ) ) : ?>
                    <div class="fpc-date">
                        <span class="icofont-clock-time"></span>
                        <p class="fpc-date-tag"><?php echo esc_html( get_the_date() ); ?></p>
                    </div>
                <?php endif; ?>

                <?php if( get_theme_mod( 'strike_comment_setting', 1 ) ) : ?>
                <div class="fpc-comm">
                    <span class="icofont-speech-comments"></span>
                    <p class="fpc-date-tag"><?php echo esc_html( get_comments_number() ); ?> <?php echo esc_html( 'Comments', 'strike-blog' ); ?></p>
                </div>
                <?php endif; ?>

            </div> <!--/.fpc-slide-content -->
        </div> <!--/.fpc-slide -->

        <?php
            endwhile;
        endif;

        wp_reset_postdata();
        ?>
     
    </div> <!-- /.fpc-slider -->

    <div class="fpc-slider-arrows">
     <div class="fpc-prev" >
        <i class="icofont-rounded-left"></i>
     </div> <!-- /.fpc-prev -->
     <div class="fpc-next" >
        <i class="icofont-rounded-right"></i>
     </div> <!-- /.fpc-next -->
    </div><!-- /.fpc-slider-arrows -->
</div><!-- /.fpc-slider-section -->
